MacOS Catalina 10.15 – DO NOT UPGRADE YET (Oct 19)

Oct 2019 and our repair shop is full of Apple iMac and MacBooks rendered unusable after upgrading to MacOS Catalina 10.15. Why!

MacOS 10.15 can only be installed on the following:

  • MacBook introduced in 2015 or later
  • MacBook Air introduced in 2012 or later
  • MacBook Pro introduced in 2012 or later
  • Mac mini introduced in 2012 or later
  • iMac introduced in 2012 or later
  • iMac Pro (all models)
  • Mac Pro introduced in 2013 or later

If you use your Mac daily and rely on it for Work, Emails, Applications etc.

We strongly advise you NOT to press the “Upgrade Now” button in Software Updates. Not for a few months anyway. Our reasoning?

    1. Never install any version “0” of a new operating system. Wait until 10.15.1 or 10.15.2 becomes available. Catalina seems to be buggier than most major Apple OS upgrades because of its many new features.
  1. If your computer is more than 4 years old and its never had it’s Hard Disk replaced, installing a new OS is usually the time that the HDD gives up the ghost and fails….. mid-install. We hope you took a full Time-Machine backup before you tried the upgrade. If not, you are risking losing your data.
  2. Catalina no longer supports 32 bit apps? You may well be surprised to find out that Office 2011 and many older printer drivers could well be 32 bit versions from way back. Its not the end of the world but you may not be able to find 64 bit versions of your printer driver, printer utility or even Office 2011. Something to bear in mind.

    1. Do you do Audio mixing? Many Audio mixing programs, Apps and add-ons were written in 32 bit and may not be available in 64 bit format.How to check if you have any 32 bit apps/drivers on your Mac…Choose Apple menu  > About This Mac, then click the System Report button.Select Legacy Software in the sidebar. All legacy software is 32-bit.If you don’t see Legacy Software in the sidebar, select Applications in the sidebar, then check the list of apps on the right. The column labeled ”64-Bit (Intel)” shows ”No” for apps that are 32-bit. Here is an example of what you may see…
    2. Known Applications that will not work include (but not limited to the following) – Older version of Adobe Photoshop (CS5), Illustrator (CS5), Indesign (CS5), Acrobat Pro 9.5.5. Premier Pro, Lightroom, Office 2011, Word 2011, Excel 2011, PowerPoint 2011, Outlook 2011

However, you do want to keep your current MacOS updated so click on “More info” under “Other Updates are available” and if you see something like the following, install those incremental security updates, browser updates etc.

Any concerns or issues with Catalina… give us a call.

 

Need more help?

If you live in Western Australia, and you need any kind of computer help, please bring your computer to us at 315 Rokeby Road, Subiaco, Western Australia or call us out. You can contact us here or call:

08 6118 2601 
Alternatively click on the Green “Support” button in the bottom right hand corner of the screen and leave a message.Microsoft Silver Certified Partner - Small and Midmarket Cloud SolutionsFor instant remote control support download and install our TeamViewer remote control software By Clicking Here and following the instructions found on this page

Leave a Reply

Your email address will not be published.